zsh-workers
 help / color / mirror / code / Atom feed
From: Clint Adams <clint@zsh.org>
To: zsh-workers@sunsite.dk
Subject: Re: other testsuite problems
Date: Mon, 24 Dec 2007 20:36:10 -0500	[thread overview]
Message-ID: <20071225013610.GA14334@scowler.net> (raw)
In-Reply-To: <20071224222325.GA32354@scowler.net>

On Mon, Dec 24, 2007 at 05:23:25PM -0500, Clint Adams wrote:
> Finally, if D07multibyte.ztst is skipped due to a lack of UTF-8 locale, it seems as though that is
> being registered as a failure. Perhaps a distinct exit code should be used for skips (and counting
> such in runtests.zsh).

To that end,

Index: Test/runtests.zsh
===================================================================
RCS file: /cvsroot/zsh/zsh/Test/runtests.zsh,v
retrieving revision 1.1
diff -u -r1.1 runtests.zsh
--- Test/runtests.zsh	18 Dec 2007 21:16:30 -0000	1.1
+++ Test/runtests.zsh	25 Dec 2007 01:35:00 -0000
@@ -7,10 +7,13 @@
 # protect from catastrophic failure of an individual test.
 # We could probably do that with subshells instead.
 
-integer success failure
+integer success failure skipped retval
 for file in "${(f)ZTST_testlist}"; do
   $ZTST_exe +Z -f $ZTST_srcdir/ztst.zsh $file
-  if (( $? )); then
+  retval=$?
+  if (( $retval == 2 )); then
+    (( skipped++ ))
+  elif (( $retval )); then
     (( failure++ ))
   else
     (( success++ ))
@@ -18,6 +21,7 @@
 done
 print "**************************************
 $success successful test script${${success:#1}:+s}, \
-$failure failure${${failure:#1}:+s}
+$failure failure${${failure:#1}:+s}, \
+$skipped skipped
 **************************************"
 return $(( failure ? 1 : 0 ))
Index: Test/ztst.zsh
===================================================================
RCS file: /cvsroot/zsh/zsh/Test/ztst.zsh,v
retrieving revision 1.28
diff -u -r1.28 ztst.zsh
--- Test/ztst.zsh	18 Dec 2007 21:16:30 -0000	1.28
+++ Test/ztst.zsh	25 Dec 2007 01:35:00 -0000
@@ -467,6 +467,7 @@
 
 if [[ -n "$ZTST_unimplemented" ]]; then
   print "$ZTST_testname: skipped ($ZTST_unimplemented)"
+  ZTST_testfailed=2
 elif (( ! $ZTST_testfailed )); then
   print "$ZTST_testname: all tests successful."
 fi


  reply	other threads:[~2007-12-25  1:36 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-12-24 22:23 Clint Adams
2007-12-25  1:36 ` Clint Adams [this message]
2007-12-25  2:27 ` Clint Adams
2008-01-03 18:17   ` Peter Stephenson
2008-01-04  4:14     ` Clint Adams
2008-01-04 12:55       ` Peter Stephenson
2008-01-04 19:05         ` Clint Adams
2008-01-05 12:25           ` Peter Stephenson
2008-01-09 20:51             ` Clint Adams

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20071225013610.GA14334@scowler.net \
    --to=clint@zsh.org \
    --cc=zsh-workers@sunsite.dk \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://git.vuxu.org/mirror/zsh/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).